public class DateLectureEnConsole {

/* Type agrege de stockage d'une date      */
/* formee d'un numero de jour, d'un numero */
/* de mois et d'un numero d'annee          */

  static class Date {
    int jour = 1;
    int mois = 1;
    int annee = 1901; };

/////////////////////////////////////////////////

/* Lecture au clavier et retour d'une date     */

  static Date saisirDate() {
    Date d = new Date();
    Console.afficher("Jour  ? ");
    d.jour = Console.saisirInt();
    Console.afficher("Mois  ? ");
    d.mois = Console.saisirInt();
    Console.afficher("Annee ? ");
    d.annee = Console.saisirInt();
    return d;
  }

/////////////////////////////////////////////////

/* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("DateLecture");
    Date d;
    Console.afficherln("Veuillez saisir votre date");
    d = saisirDate();
  }
}